Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

Studio Bluetooth

MaMi_1707981
Level 5
First comment on KBA 100 replies posted 100 sign-ins
Level 5

Bluetooth SIG reports some vulnerabilities ware found.

Could you let me know whether WICED Studio 6.x is affected or not ?

https://www.bluetooth.com/learn-about-bluetooth/key-attributes/bluetooth-security/reporting-security...

 

0 Likes
1 Solution
DheerajPK_41
Moderator
Moderator 750 replies posted 500 likes received 500 replies posted
Moderator

Hi,

May I know which cypress parts are you using?

Generally, I would suggest you to use the latest software (Modustoolbox and SDKs) to get latest updates and vulnerability fixes. We are not updating the WICED Studio these days since new development environment Modustoolbox with more capabilities are launched. And Most of the BTSDK customers are also migrated to it and using it since 2020. So, the latest vulnerability fixes will not be part of it.

Thanks,

-Dheeraj

View solution in original post

0 Likes
3 Replies
DheerajPK_41
Moderator
Moderator 750 replies posted 500 likes received 500 replies posted
Moderator

Hi,

May I know which cypress parts are you using?

Generally, I would suggest you to use the latest software (Modustoolbox and SDKs) to get latest updates and vulnerability fixes. We are not updating the WICED Studio these days since new development environment Modustoolbox with more capabilities are launched. And Most of the BTSDK customers are also migrated to it and using it since 2020. So, the latest vulnerability fixes will not be part of it.

Thanks,

-Dheeraj

0 Likes
MaMi_1707981
Level 5
First comment on KBA 100 replies posted 100 sign-ins
Level 5

Hi Dheeraj,

The environment is as follows:

    WICED Stusio 6.2.1 
    CYBT-343026-01

Do you have a plan to support ?

Best regards,
Mizuno

DheerajPK_41
Moderator
Moderator 750 replies posted 500 likes received 500 replies posted
Moderator

Hi,

Currently it is not possible to support old SDK. All the latest software patches are usually released to the latest softwares only. I would recommend you to upgrade your software environment to the latest to get the latest software/security patches.

 

Thanks,

-Dheeraj

0 Likes